Uploaded image for project: 'OpenNMS'
  1. OpenNMS
  2. NMS-13197

Compile OpenNMS with JDK11 (and remove support for JDK8)

    XMLWordPrintable

Details

    • Story
    • Status: Resolved (View Workflow)
    • Minor
    • Resolution: Fixed
    • None
    • 28.0.0
    • None
    • Security Level: Default (Default Security Scheme)
    • None
    • Horizon 2021 - Mar 3 - Mar 17, Horizon 2021 - Mar 17 - Mar 31

    Description

      Use JDK11 to compile OpenNMS, allowing us to use JDK11 libraries and specific features.
      This also removes support for JDK8.

      Attachments

        Activity

          People

            j-white Jesse White
            j-white Jesse White
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Git Integration

                Error rendering 'com.xiplink.jira.git.jira_git_plugin:git-issue-webpanel'. Please contact your Jira administrators.